package com.kingdee.eas.custom.notify;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.dao.IObjectPK;
import java.lang.String;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.Context;
import com.kingdee.eas.custom.notify.app.*;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.eas.framework.DataBase;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.framework.IDataBase;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.bos.util.*;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;

public class RemoveContext extends DataBase implements IRemoveContext
{
    public RemoveContext()
    {
        super();
        registerInterface(IRemoveContext.class, this);
    }
    public RemoveContext(Context ctx)
    {
        super(ctx);
        registerInterface(IRemoveContext.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("08AB07F1");
    }
    private RemoveContextController getController() throws BOSException
    {
        return (RemoveContextController)getBizController();
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public RemoveContextInfo getRemoveContextInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getRemoveContextInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public RemoveContextInfo getRemoveContextInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getRemoveContextInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public RemoveContextInfo getRemoveContextInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getRemoveContextInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@return
     */
    public RemoveContextCollection getRemoveContextCollection() throws BOSException
    {
        try {
            return getController().getRemoveContextCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public RemoveContextCollection getRemoveContextCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getRemoveContextCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public RemoveContextCollection getRemoveContextCollection(String oql) throws BOSException
    {
        try {
            return getController().getRemoveContextCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}